Version 0.8.2
- Fixed issues and crashes with newer Qt6 versions
- Fixed Waveform and VideoPlayer paint issues
- Fixed PGS subtitle mime type
- Improved Wayland compatibility
- Improved GoogleCloudEngine translations
- Added configurable whitespace detection to VobSub import
- Replaced deprecated FFmpeg channel code
- Require FFmpeg >= 5.1.5

Version 0.8.1
- Fixed (rare) memory issues and crashes
- Fixed crashes on waveform widget
- Fixed video player rendering in Qt 6.7
- Fixed scripts manager assert failures
- Fixed inability to view non-script files in scripts manager
- Fixed seeking in some media formats
- Fixed video player subtitle rendering
- Fixed broken rendering on hi-res videos
- Fixed HDR video rendering (SMPTE-ST-2084 gamma transfer)
- Added check for maximum number of characters per line
- Added MinT translate engine
- Improved translation support and UI
- Improved video player scaling
- Dropped KIO file operations

Version 0.8.0
- Fixed video player on GLES only hardware
- Fixed skewed video on video player
- Fixed closing fullscreen video player
- Fixed subtitles under fullscreen video toolbar
- Fixed video player media state notifications
- Fixed subtitle video overlay font size accuracy
- Fixed deadlock/crash while changing audio stream on paused/stopped media
- Improved Waveform widget performance
- Fixed waveform misalignment due to rounding error
- Fixed waveform widget drawing on null image and painting of removed lines
- Fixed waveform default zoom scale
- Fixed subtitle text line separator draw on LinesWidget
- Fixed unbreak lines (newline searches in QTextDocument)
- Fixed crash in split lines
- Fixed VobSub import ignoring Text styles
- Fixed VobSub crash when moving to previous image
- Fixed YouTubeCaptions format parsing/saving
- Fixed undo/redo actions creation order, incorrect state
- Fixed some memory and saving issues
- Fixed embedded ASS decoding
- Fixed example remove hearing impaired script
- Fixed broken about dialog
- Added Qt6 support
- Added WebVTT format support
- Added subtitle positioning UI and support
- Added subtitle class/comments/voice UI and support
- Improved rich text editing/preview
- Rich text rendering on waveform/video/editors
- Added DeepL translate engine
- Added Google Cloud translate engine
- Recreated translation interface
- Added/improved ffmpeg 5 support
- Subtitle lines are always time sorted; remove sort lines menu action
- Replaced Kross with QJSEngine, removed ruby and python support
- Improved script manager and tools menu

Version 0.7.1
- Fixed script edititing on AppImage
- Fixed AppImage/Windows builds, themes and look
- Fixed theme/icons/look outside KDE environment
- Fixed opening files on windows
- Fixed various bugs and rare crashes
- Fixed Undo stack and improved text editing undo
- Improved/replaced Video player(s) (performance, Wayland support, OpenGL/FFmpeg)
- Improved Waveform performance
- Improved LinesWidget/Model performance
- Improved Wayland support
- Improved open/save file dialogs to use native dialogs
- Improved text charsets/encodings/end-of-line selection, detection and handling
- Improved VobSub support
- Improved inline editor to support text styles
- Improved subtitle style rendering
- Improved character/sec support and added coloring
- Improvide command line - ability to open all subtitle/media files
- Added Pause/Duration columns to list view
- Removed invalid subpicture/x-pgs mime
- Updated/added many translations - thanks to KDE community

Version 0.7.0
 - Fixed parsing of absolute paths containing '#' character
 - Fixed open dialogs not showing all supported files
 - Fixed subtitle text not respecting system font configuration
 - Fixed waveform not rendering correctly/completely on some formats
 - Fixed waveform displaying subtitles at wrong times
 - Fixed waveform not working with some
 - Fixes to MPV, GStreamer and Xine video player backends
 - Waveform scrolling is configurable
 - PocketSphinx language models and VAD are configurable
 - Added show status bar action to main window popup menu
 - Improved (scripting) performance
 - Spell checker will use translation text when it is selected
 - Waveform and video docks can be hidden
 - Split lines won't split text on spaces while there are multiple lines
 - Subtitle lines will always stay sorted by their time
 - Improved fullscreen video player
 - Added ability to step by frame
 - Added play rate controls to video menu
 - Updated Croatian translation - thanks @muzena
 - Updated Italian translation - thanks Luigi Toscano @tosky
 - Updated Russian translation - thanks Nick Shaforostoff @shaforostoff

Version 0.6.6
 - Fixed open video dialog filters
 - Fixed "Insert Line" on waveform adding at the wrong index - thanks @qsniyg
 - Added MMB seeking on waveform - thanks @qsniyg
 - Fixed some compilation issues
 - Updated translations - thanks @gogogogi, @muzena
 - Fixed vobsub when opening from video file and symbol cache filename
 - Fixed subtitle loading times of huge files
 - Improved vobsub text detection
 - Fixed ASS rich text parsing on import subtitle stream action
 - Replaced buggy mplayer vobsub import code with ffmpeg
 - Fixed memory leaks/usage of WaveformWidget's scroll animation
 - Optimized import subtitle stream from video action
 - Replaced gstreamer with ffmpeg libraries in application core usage
 - Added abort button to speech recognition
 - Waveform smooth scrolling
 - Added join/split lines actions to waveform context menu
 - Fixed some crashes, memory leaks and overall code cleanups
 - Cleaned up settings widget and texts

Version 0.6.5
 - ADD: Added support for binary subtitle formats
 - ADD: fine control video playback speed
 - ADD: controls for video playback speed
 - MOD: GStreamer backend audio improvements.
 - MOD: Moved open video actions under File menu
 - MOD: More tolerant parsing of SubRip subtitles.
 - MOD: Improved split lines command
 - MOD: Updated Czech translation - thanks @goliashcz
 - MOD: Updated Croatian translations - thanks @muzena
 - FIX: Waveform widget dragging and speed improvements, fixed buffer overflow
 - FIX: WaveformWidget: zoom out wasn't working on movies without audio
 - FIX: Fixed cases where subtitle hide time would end up before show time.
 - FIX: Improved context menus.
 - FIX: Fixed moving of anchored lines.
 - FIX: Open subtitle wouldn't autoload video in some cases
 - FIX: Open video now includes .divx and .webm extensions
 - FIX: Tools menu scripts are filtered based on installed kross interpreters
 - FIX: Moved custom icons to more standard location, using QIcon::fromTheme()
 - FIX: Error Check > Absolute Duration config fields were changing incorrect values.
 - FIX: MPV Backend: fixed deprecated options, updated vo devices - thanks @luzfcb
 - FIX: better rendering on high DPI screens.
 - FIX: MPV Backend: framerate/video length  wasn't reported to subtitle composer anymore
 - FIX: detection/handling of current playing line
 - FIX: Parsing text containing <font> without color attribute
 - FIX: compilation without xine - thanks @pinotree
 - FIX: ASS parsing - thanks @Martchus

Version 0.6.4
 - ADD: WaveformWidget: context menu 
 - MOD: Updated German translations - thanks @Martchus
 - MOD: Updated Croatian translations - thanks @muzena
 - FIX: Inserting subtitle line would corrupt subtitle indexes
 - FIX: Display audio of WebM/FLV files in waveform - thanks @Martchus

Version 0.6.3
 - ADD: WaveformWidget: customization settings page
 - ADD: Speech recognition with PocketSphinx
 - MOD: Waveform and Player widgets can be docked to any side of the main window
 - MOD: WaveformWidget: can be manually scrolled even if autoscroll is enabled
 - MOD: WaveformWidget: ability to drag whole subtitle line
 - MOD: Updated croatian translation - thanks @muzena
 - FIX: Video player fullscreen and icon display under was not right under some desktop environments - thanks @Martchus
 - FIX: WaveformWidget: when dragging subtitle borders (or clicking near them), show/hide time was jumping to mouse position
 - FIX: po/Messages.sh will generate .po files compatible with Qt Linguist, and will run from any path
 - FIX: Build cleanups - thanks @pinotree

Version 0.6.2
 - ADD: Ability to demux text streams from loaded video
 - MOD: WaveformWidget: added scrollbar and manual scrolling mode, improved zoom, widget state is loaded/saved
 - MOD: WaveformWidget: double click will seek in video player
 - MOD: WaveformWidget: subtitle show/hide time can be dragged
 - MOD: Added default shortcut for play/pause video.
 - MOD: Support for building with cmake older version than 3.3
 - FIX: Changing player backend setting will reopen loaded video in new player backend.
 - FIX: Timeline after last anchored subtitle was scaled incorrectly.
 - FIX: WaveformWidget: optimizations and speed improvements
 - FIX: Recent files list was not saved properly in some cases (subtitle list full).
 - FIX: WaveformWidget: fixed crash after closing subtitle
 - FIX: WaveformWidget: editing of non-anchored lines is not allowed
 - FIX: StreamProcessor was not freeing it's resources.
 - FIX: Updated configure and install scripts
 - FIX: Removed "Decoder backend" entry from video player settings page.

Version 0.6.1
 - FIX: Anchor points syncing wasn't working right in some cases

Version 0.6.0
 - ADD: Anchor points syncing
 - ADD: Waveform widget.
 - MOD: Improved precision of the Time class.
 - MOD: GStreamerPlayerBackend will pause when reaching end-of-stream instead of stopping/resetting player.
 - MOD: Converted playerbackends to plugins
 - MOD: updated German translation
 - FIX: Video player widget will repaint background correctly.
 - FIX: Code refactoring, cleanups and optimizations.
 - FIX: fixed/enabled Drag & Drop

Version 0.5.9
 - FIX: Improved error reporting during video open.
 - MOD: Added italian translation.

Version 0.5.8
 - ADD: MPV player support
 - MOD: Replaced remaining KDE4 deprecated code, removed KDELibs4Support dependency. Finalized KF5 porting.
 - MOD: Update croatian translation and README.md
 - MOD: Added option not to resume playback after subtitle doubleclick if player is paused
 - FIX: Gettext translations were not created during build process.
 - FIX: FindGStreamer.cmake was not searching for and including arch-specific include dir
 - FIX: Errors/Spelling in "Error Check" settings
 - FIX: Build process fixes
 - FIX: improved player/decoder backends, solved crashes when switching backends
 - FIX: Added option to antialias subtitles
 - FIX: Phonon player backend was displaying embeded subtitles
 - FIX: OBS (OpenSuse) package creation was failing

Version 0.5.7
 - ADD: GStreamer 1.0 support
 - ADD: added Debian build
 - MOD: updated Bulgarian and Croatian translations
 - FIX: Phonon backend supports audio channel change
 - FIX: Command line params were expected to be URL encoded
 - FIX: UTF subtitles are saved with BOM
 - FIX: updated/fixed translation catalogs and list of translators
 - FIX: some files were wrongly identified as tmplayer subtitles

Version 0.5.6:
 - SubStation Alpha format fixes and color support
 - source cleanup

Version 0.5.5:
 - text color support
 - SubRip text color support
 - reworked MicroDVD open/save

Version 0.5.4:
 - mplayer2 support
 - mplayer VDPAU decoding support
 - minor cmake build fixes

Version 0.5.3:
 - added Czech, Brazilian Portuguese, Bulgarian, French and German translations contributed by Petr
  Gadula, Marcio P. Moraes, Petar Toushkov, Thomas Gastine and Panagiotis Papadopoulos respectively
  and updated Spanish translation
 - added Kross powered scripting interface with some basic examples in Ruby, Python and JavaScript
 - added action to translate subtitles using Google translation services
 - fixed many bugs including some that would crash the application
  * selecting a file from the recently opened list could crash the application when using Qt 4.5
  * video playback was completely broken with Qt 4.5
  * bugs related to searching text and errors
  * bugs related to undo/redo that could result in a crash
 - other minor fixes, user interface changes and improvements

Version 0.5.2:
 - added Polish translation and updated Serbian and Spanish ones (thanks to Tomasz Argasiński and Slobodan Simic)
 - ported lines and errors views to Qt4 Model/View
  * greatly improves performance
  * renders lines using the application style
  * lines' texts display tooltips with errors information on hover
 - improved the current line text edit (mainly by using the KDE version of the control)
  * supports KDE standard shortcuts and spelling with on the fly highlighting of misspelled words
  * context menu shows suggestions for misspelled words and actions to ignore or add to dictionary
  * relevant shorcuts are caught so that don't trigger other application actions
 - improved inline editing behavior
  * navigation between editable cells is possible with Up/Down arrows and tab/back tab keys
 - added actions to retrocede and advance the current line (Alt+[Up|Down] arrows)
 - added a configuration page for spelling options
 - comply with Shared MIME-info spec for registering file types
 - fixed switching audio and subtitle streams on video player
 - fixed actions shortcuts on full screen mode (sequences using the keypad didn't work)
 - fixed subtitles preview (subtitles disappeared when leaving full screen)
 - fixed compression of actions (undoing actions broke things)
 - fixed crash caused by removing lines in some scenarios
 - fixed crash caused by find/replace/spelling actions when there was no current line
 - fixed Xine CMake checks (correctly enable XCB support when available)
 - many other minor fixes and improvements

Version 0.5.1:
 - added Greek translation and completed Spanish one (thanks to Alexandros Perdikomatis)
 - added automatic tests for important classes
 - fixed many bugs (lots of crashes, configuration saving, recent files history, GUI glitches, etc.)
 - minor and not so minor cosmetic changes (fixed strings to comply with HIG, updated some icons, changed some dialogs' layouts)

Version 0.5.0:
 - ported to KDE4/Qt4
 - added Phonon player backend


Version 0.4.2:
 - added Spanish and Serbian translations and updated pot file (thanks to Daniel Lambea and Slobodan Simic)
 - improved styles handling:
  * styles don't have to be applied to whole lines anymore
  * added "strike through" style support
 - added configurable outline for subtitles in video player
 - use KIO facilities to allow loading and saving subtitles from other than local files
 - other minor fixes

Version 0.4.1:
 - detection of line terminator used in input subtitle and support for changing it (or not) when saving
 - show additional information for current line (characters per line / total characters)
 - added subtitlecomposer.pot file (now the program can be translated)
 - added action to fix overlapping lines
 - added "Select All" and "Select None" buttons to check errors and clear errors dialogs
 - resume playing (if paused) when a line has been double clicked
 - ensure all error items are visible in the errors dialog when changing the current line
 - fixed parsing and writing of SSA/ASS files and parsing of MPL files
 - fixed bug related to setting and clearing the subtitle's dirty state
 - fixed bug which prevented the error icon from being shown in some cases
 - fixed compilation with GCC 4.3 (thanks to David Watzke for the patch)

Version 0.4.0:
 - support for working with translations
 - video player full screen mode
 - Xine player backend
 - non destructive edition of files with unnsupported data (such as SSA or ASS)
 - actions to shift to video position and adjust from video position (anchoring first or last line)
 - actions for increasing and decreasing the volume
 - actions for increasing and decreasing the subtitles font size
 - fix find and replace implementations to support all dialog options and (proper) regex replacements
 - make find actions to jump to video position in full screen mode
 - make consistent use of the grabbed video position compensation in all relevant user actions
 - renamed "Polska" format to its correct name, TMPlayer, and added support TMPlayer+
 - many other fixes, changes and general improvements...


Version 0.3.1:
 - fix the opening of files with MPlayer video backend
 - rename "Polska" subtitles format to it's actual name, TMPlayer

Version 0.3:
 - errors checking and reporting
 - actions to join and split subtitles
 - action to sort lines
 - added support for "Polska" subtitles (*)
 - added default shortcuts to common actions
 - open video files dropped into the video widget
 - correctly handle opening of invalid video files
 - rearrange the main menu and the main view context menu
 - rewrite the recent files menus (application should compile in KDE 3.4 now)
 - many other internal changes including a revamp of the actions classes (which now support "compression" of actions)
 - updated features plan: next version will focus on KDE4 porting and subtitle translations support

(*) I don't know the real name of the format, if anyone does (maybe the guys who requested it?), please, drop me a note.


Version 0.2.1:
 - fix bug in MPlayer video backend wich prevented sound playback
 - fix a couple of user visible strings
 - enforce the currently set volume when changing audio streams

Version 0.2:
 - open subtitle files dropped into the application window
 - command line option to open a given file on start
 - install mimetypes and update aplication desktop file to handle them
 - rearrange GUI controls and add a (toggable) editable position control
 - highlight currently playing line
 - action to make current line follow video position
 - actions to make video position jump to next/previous line
 - actions to make video position jump forwards/backwards
 - action to set current line show/hide time to video position (+ option to compensate the grabbed time)
 - actions to join and split lines
 - action to change lines text case (lower case, upper case, title case and sentence case)
 - action to fix lines punctuation
 - action to maximize lines duration
 - action to automaticaty set lines duration based on text
 - actions to quick shift selected lines (and option to specify the shift amount)
 - action to synchronize or adjust the current subtitle with a reference one


Version 0.1:
 - load and save from most common formats (srt, sub, ssa) with support for multiple encodings
 - full undo/redo support
 - integrated video player with support for multiple video backends (gstreamer/mplayer) and subtitles overlaying
 - insert/remove lines
 - edit text and styles
 - adjust times
 - change frame rate
 - find/replace with regular expressions
 - check spelling
[--snip--]
